package com.ruoyi.oss.enums;

import cn.hutool.http.ContentType;
import lombok.Getter;

@Getter
public enum FileTypeEnums {
    JPG("jpg", ContentType.OCTET_STREAM.getValue()),
    MP4("mp4", ContentType.OCTET_STREAM.getValue());
    private final String suffix;
    private final String contentType;

    FileTypeEnums(String suffix, String contentType) {
        this.suffix = suffix;
        this.contentType = contentType;
    }

    public String getSuffixV2(){
        return "."+this.getSuffix();
    }
}
